classification
Title: test_urllib2_localnet fails on OS X 10.3
Type: Stage:
Components: macOS Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: barry, ned.deily, ronaldoussoren
Priority: high Keywords:

Created on 2010-08-11 08:11 by ned.deily, last changed 2010-09-28 14:44 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
issue-proxy-10-3-27-26.txt ned.deily, 2010-08-11 08:11
issue-proxy-10-3-py3k-31.txt ned.deily, 2010-08-11 08:11
Messages (6)
msg113592 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-08-11 08:11
Issue8455 documents a problem which resulted in test_urllib2_libnet failing on OS X with "Connection refused" errors. r82150, r82280, r82281, and r82282 eliminated the test failures for all active branches when running on OS X 10.4 through 10.6.  However, the fixes overlooked a different code path which is only used on OS X 10.3.  The attached one-line patches for 2.6/2.7 and for py3k/3.1 correct that problem for 10.3 as well.

Since the patch is low-risk and corrects a failing test case, I recommend that it be applied for the 2.6.6 release.
msg113594 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-08-11 08:19
Barry: I agree with Ned that this is low-risk patch.  

The patch changes a default return value in a code-path that is used on OSX 10.3 to make it the same as the default value on the code-path for other OSX releases.

I'm therefore +1 on applying this for 2.6.6, but won't apply without explicit permission to do so.
msg113858 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-08-14 00:50
Thanks guys.  I'll allow this in for 2.6.6 if you can commit it before Sunday 8/15.  I'd like the buildbots to have plenty of time to turn green before schedule release on Monday.  Please include a NEWS item and close this issue once it's been committed.
msg114068 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2010-08-16 19:34
r84103 in release26-maint

I will let Ronald commit to the other branches.  I did this one due to the timing of 2.6.6 rc 2.  Bumping status away from release blocker.
msg114076 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-08-16 20:42
Committed fix verified on 2.6: test_urllib2_localnet no longer fails on 10.3.
msg117526 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-09-28 14:44
Applied the patch in r85062 (3.2), r85063 (3.1), r85064 (2.7)
History
Date User Action Args
2010-09-28 14:44:13ronaldoussorensetstatus: open -> closed

messages: + msg117526
2010-08-16 20:42:27ned.deilysetmessages: + msg114076
2010-08-16 19:34:52barrysetpriority: release blocker -> high

messages: + msg114068
2010-08-14 00:50:50barrysetpriority: normal -> release blocker
resolution: accepted
messages: + msg113858
2010-08-11 08:19:16ronaldoussorensetmessages: + msg113594
2010-08-11 08:11:50ned.deilysetfiles: + issue-proxy-10-3-py3k-31.txt
2010-08-11 08:11:35ned.deilycreate